Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232273 - Battery-Status not updating on HP compaq nx6325
Summary: Battery-Status not updating on HP compaq nx6325
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-14 17:22 UTC by Johannes Köster
Modified: 2008-04-04 07:20 UTC (History)
1 user (show)

Fixed In Version: 7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-04 07:20:18 UTC


Attachments (Terms of Use)
dmesg output with apic errors (deleted)
2007-03-14 17:23 UTC, Johannes Köster
no flags Details

Description Johannes Köster 2007-03-14 17:22:21 UTC
Description of problem:
Battery and AC status on HP-compaq nx6325 not working.
Although bad state problem (bug 229589) is fixed in recent update, the AC and 
battery status either does not update from start or stops updating after 
plugging ac in.
These problems seem to be fixed in kernel 2.6.21 (according to reports on the 
gentoo-wiki) so there must exist patches in the kernel bugzilla which should 
fix this.
Perhaps related with this are some APIC errors (see dmesg) but disabling apic 
doesn't help.

How reproducible:
Buy a recent HP Compaq notebook and check. :-)

Comment 1 Johannes Köster 2007-03-14 17:23:32 UTC
Created attachment 150067 [details]
dmesg output with apic errors

Comment 2 Chuck Ebbert 2007-03-14 21:03:57 UTC
Please test 2.6.20-1.2925.fc6

Comment 3 Johannes Köster 2007-03-15 08:34:35 UTC
Does not work unfortunately :-(
still the same problem

Comment 4 Johannes Köster 2007-03-20 08:40:20 UTC
It seems that acpi hangs somehow.
Indicators:
at least button and battery module cannot be unloaded.

thermal polling frequency is not set. Is that standart?

Comment 5 Chuck Ebbert 2007-03-22 19:51:30 UTC
Does booting with the kernel option "acpi_serialize" help?


Comment 6 Johannes Köster 2007-03-23 00:33:31 UTC
No, using this option the kernel hangs during init even before udev and so on is
starting.

Comment 7 Chuck Ebbert 2007-03-23 16:44:40 UTC
Can you look in /proc/acpi/battery/BATx/state when the status
is not updating? This is the kernel's view of what is happening.


Comment 8 Bug Zapper 2008-04-04 06:31:40 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 9 Johannes Köster 2008-04-04 07:19:19 UTC
This bug does not appear any more since Fedora 7 due to the new kernel. I have
at the moment not the ability to check it with older versions but if they lso
have kernel>=2.6.22 it should work without any problems.


Note You need to log in before you can comment on or make changes to this bug.